Package Details: am placeholder-1

Git Clone URL: https://aur.archlinux.org/am.git (read-only, click to copy)
Package Base: am
Description: AppImage package manager to install, update and manage ALL of them, system-wide or locally.
Upstream URL: https://github.com/ivan-hc/AM
Keywords: appimage cli foss package-manager portable-apps
Licenses: GPL3
Submitter: Twig6843
Maintainer: Twig6843
Last Packager: Twig6843
Votes: 2
Popularity: 0.122864
First Submitted: 2024-11-02 17:03 (UTC)
Last Updated: 2024-11-29 10:42 (UTC)

Latest Comments

ichirou commented on 2026-03-11 03:48 (UTC)

This is my changes to have the proper versioning in the PKGBUILD

diff --git a/PKGBUILD b/PKGBUILD
index cb7fdc5..f14701f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,9 +1,10 @@
 # Maintainer: Fatih Bakal fatihbakal7@protonmail.com
 pkgname=am
-pkgver=placeholder
+_pkgname=AM
+pkgver=9.9.5.r13.g69a6f49
 pkgrel=1
 pkgdesc="AppImage package manager to install, update and manage ALL of them, system-wide or locally."
-url="https://github.com/ivan-hc/AM"
+url="https://github.com/ivan-hc/$_pkgname"
 arch=('any')
 license=('GPL3')

@@ -20,9 +21,15 @@ depends=(
     'fuse3'
 )

-source=("https://raw.githubusercontent.com/ivan-hc/AM/main/APP-MANAGER")
+provides=("$pkgname=$pkgver")
+source=("git+$url.git")
 sha256sums=('SKIP')

+pkgver() {
+    cd "$_pkgname"
+    git describe --long --tags --abbrev=7 HEAD 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' || echo "0.0.0.r0.$(git rev-parse --short=7 HEAD)"
+}
+
 package() {
     # Create the main directory for AM
     install -dm755 "$pkgdir/opt/am/modules"
@@ -39,12 +46,12 @@ EOF
     chmod a+x "$pkgdir/opt/am/remove"

     # Move the downloaded main script
-    install -Dm755 "${srcdir}/APP-MANAGER" "$pkgdir/opt/am/APP-MANAGER"
+    install -Dm755 "$_pkgname/APP-MANAGER" "$pkgdir/opt/am/APP-MANAGER"
     ln -s /opt/am/APP-MANAGER "$pkgdir/usr/local/bin/am"

     # Download all modules from the GitHub repository
-    module_base_url="https://raw.githubusercontent.com/ivan-hc/AM/main/modules"
-    modules=$(curl -s https://api.github.com/repos/ivan-hc/AM/contents/modules | jq -r '.[].name')
+    module_base_url="https://raw.githubusercontent.com/ivan-hc/$_pkgname/main/modules"
+    modules=$(curl -s https://api.github.com/repos/ivan-hc/$_pkgname/contents/modules | jq -r '.[].name')

     for module_name in $modules; do
         echo " ◆ Downloading $module_name..."

spinvis commented on 2026-02-05 08:01 (UTC)

Hi Twig6843, thanks for providing this PKGBUILD, it builds and works fine, however the current PKGBUILD doesn't follow the Arch package guidelines found here https://wiki.archlinux.org/title/Arch_package_guidelines

I kindly request an updated PKGBUILD which follows these guidelines. This is to ensure for example proper versioning which is completely absent from the PKGBUILD.

Twig6843 commented on 2025-05-13 12:12 (UTC)

I don't know who flagged this package out of date. It still seems to work fine.